scancode_to_ascii(3)

NAME
scancode_to_ascii - Converts a scancode to an ASCII character. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int scancode_to_ascii(int scancode);

DESCRIPTION
Converts the given scancode to an ASCII character for that key (mangling Unicode values), returning the unshifted uncapslocked result of pressing the key, or zero if the key isn't a character-generating key or the lookup can't be done. The lookup cannot be done for keys like the F1-F12 keys or the cursor keys, and some drivers will only return approximate values. Generally, if you want to display the name of a key to the user, you should use the scancode_to_name function. Example:
   int ascii;
   ...
   ascii = scancode_to_ascii(scancode);
   allegro_message("You pressed '%c'\n", ascii);

SEE ALSO
scancode_to_name(3)